xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | (C) 2007 Andrea Rossato, David Roundy
License | BSD3
Maintainer | Stability : unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Prompt.Workspace

Contents

- Usage
- For developers

Description

A workspace prompt for XMonad

Synopsis

- workspacePrompt :: XPConfig -> (String -> X ()) -> X ()
- data Wor = Wor String

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.Workspace

      , ((modm .|. shiftMask, xK_m     ), workspacePrompt def (windows . W.shift))

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

workspacePrompt :: XPConfig -> (String -> X ()) -> X () Source

# For developers

data Wor Source

Constructors

Wor String |

Instances

XPrompt Wor Source |